#!/bin/bash

if [ -d "${PWD}/deploy" ]; then
  SCRIPT_DIR="${PWD}/deploy"
else
  SCRIPT_DIR="${PWD}"
fi

echo "JAVA_MEMORY_ARGS=$JAVA_MEMORY_ARGS"

echo "Starting cron job for customer scheduler..."
TZ=UTC java $JAVA_MEMORY_ARGS -XshowSettings:vm -cp "${SCRIPT_DIR}/optimization-scheduler.jar" -Dloader.main=com.cloudhealthtech.savingsmanagement.scheduler.CustomerSchedulerApp org.springframework.boot.loader.launch.PropertiesLauncher

echo "Cron Job is done"